Search documentation of Metastatic

# mix metastatic.supplemental_check (Metastatic v0.13.2)

View Source

Analyzes code to detect required supplemental modules.

## Usage

    mix metastatic.supplemental_check FILE [options]

## Options

- `--format` - Output format: text (default), json, or detailed
- `--language` - Source language (auto-detected if not specified)
- `--target` - Target language for translation analysis

## Examples

    # Check what supplementals are needed for a file
    mix metastatic.supplemental_check my_file.ex

    # Check compatibility when translating to Python
    mix metastatic.supplemental_check my_file.ex --target python

    # JSON output
    mix metastatic.supplemental_check my_file.py --format json

    # Detailed report
    mix metastatic.supplemental_check my_file.ex --target python --format detailed

## Exit Codes

- 0 - All required supplementals available (or none needed)
- 1 - Missing supplementals detected
- 2 - Error during analysis